Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.lang.jstl
Class Logger

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.Logger

    public class Logger

extends Object

The evaluator may pass an instance of this class to operators and expressions during evaluation. They should use this to log any warning or error messages that might come up. This allows all of our logging policies to be concentrated in one class.

Errors are conditions that are severe enough to abort operation. Warnings are conditions through which the operation may continue, but which should be reported to the developer.

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Constructor Summary
`Logger(PrintStream pOut)` Constructor

Method Summary
`boolean` | `isLoggingError()` Returns true if the application should even bother to try logging an error.
`boolean` | `isLoggingWarning()` Returns true if the application should even bother to try logging a warning.
`void` | `logError(String pTemplate)` Logs an error
`void` | `logError(String pTemplate, Object pArg0)` Logs an error
`void` | `logError(String pTemplate, Object pArg0, Object pArg1)` Logs an error
`void` | `logError(String pTemplate, Object pArg0, Object pArg1, Object pArg2)` Logs an error
`void` | `logError(String pTemplate, Object pArg0, Object pArg1, Object pArg2, Object pArg3)` Logs an error
`void` | `logError(String pTemplate, Object pArg0, Object pArg1, Object pArg2, Object pArg3, Object pArg4)` Logs an error
`void` | `logError(String pTemplate, Object pArg0, Object pArg1, Object pArg2, Object pArg3, Object pArg4, Object pArg5)` Logs an error
`void` | `logError(String pMessage, Throwable pRootCause)` Logs an error
`void` | `logError(String pTemplate, Throwable pRootCause, Object pArg0)` Logs an error
`void` | `logError(String pTemplate, Throwable pRootCause, Object pArg0, Object pArg1)` Logs an error
`void` | `logError(String pTemplate, Throwable pRootCause, Object pArg0, Object pArg1, Object pArg2)` Logs an error
`void` | `logError(String pTemplate, Throwable pRootCause, Object pArg0, Object pArg1, Object pArg2, Object pArg3)` Logs an error
`void` | `logError(String pTemplate, Throwable pRootCause, Object pArg0, Object pArg1, Object pArg2, Object pArg3, Object pArg4)` Logs an error
`void` | `logError(String pTemplate, Throwable pRootCause, Object pArg0, Object pArg1, Object pArg2, Object pArg3, Object pArg4, Object pArg5)` Logs an error
`void` | `logError(Throwable pRootCause)` Logs an error
`void` | `logWarning(String pTemplate)` Logs a warning
`void` | `logWarning(String pTemplate, Object pArg0)` Logs a warning
`void` | `logWarning(String pTemplate, Object pArg0, Object pArg1)` Logs a warning
`void` | `logWarning(String pTemplate, Object pArg0, Object pArg1, Object pArg2)` Logs a warning
`void` | `logWarning(String pTemplate, Object pArg0, Object pArg1, Object pArg2, Object pArg3)` Logs a warning
`void` | `logWarning(String pTemplate, Object pArg0, Object pArg1, Object pArg2, Object pArg3, Object pArg4)` Logs a warning
`void` | `logWarning(String pTemplate, Object pArg0, Object pArg1, Object pArg2, Object pArg3, Object pArg4, Object pArg5)` Logs a warning
`void` | `logWarning(String pMessage, Throwable pRootCause)` Logs a warning
`void` | `logWarning(String pTemplate, Throwable pRootCause, Object pArg0)` Logs a warning
`void` | `logWarning(String pTemplate, Throwable pRootCause, Object pArg0, Object pArg1)` Logs a warning
`void` | `logWarning(String pTemplate, Throwable pRootCause, Object pArg0, Object pArg1, Object pArg2)` Logs a warning
`void` | `logWarning(String pTemplate, Throwable pRootCause, Object pArg0, Object pArg1, Object pArg2, Object pArg3)` Logs a warning
`void` | `logWarning(String pTemplate, Throwable pRootCause, Object pArg0, Object pArg1, Object pArg2, Object pArg3, Object pArg4)` Logs a warning
`void` | `logWarning(String pTemplate, Throwable pRootCause, Object pArg0, Object pArg1, Object pArg2, Object pArg3, Object pArg4, Object pArg5)` Logs a warning
`void` | `logWarning(Throwable pRootCause)` Logs a warning

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Logger

    public Logger(PrintStream pOut)

  Constructor

  Parameters:
    `pOut` - the PrintStream to which warnings should be printed

Method Detail

### isLoggingWarning

    public boolean isLoggingWarning()

  Returns true if the application should even bother to try logging a warning.

### logWarning

    public void logWarning(String pMessage,
                           Throwable pRootCause)
                    throws ELException

  Logs a warning

  Throws:
    `ELException`

### logWarning

    public void logWarning(String pTemplate)
                    throws ELException

  Logs a warning

  Throws:
    `ELException`

### logWarning

    public void logWarning(Throwable pRootCause)
                    throws ELException

  Logs a warning

  Throws:
    `ELException`

### logWarning

    public void logWarning(String pTemplate,
                           Object pArg0)
                    throws ELException

  Logs a warning

  Throws:
    `ELException`

### logWarning

    public void logWarning(String pTemplate,
                           Throwable pRootCause,
                           Object pArg0)
                    throws ELException

  Logs a warning

  Throws:
    `ELException`

### logWarning

    public void logWarning(String pTemplate,
                           Object pArg0,
                           Object pArg1)
                    throws ELException

  Logs a warning

  Throws:
    `ELException`

### logWarning

    public void logWarning(String pTemplate,
                           Throwable pRootCause,
                           Object pArg0,
                           Object pArg1)
                    throws ELException

  Logs a warning

  Throws:
    `ELException`

### logWarning

    public void logWarning(String pTemplate,
                           Object pArg0,
                           Object pArg1,
                           Object pArg2)
                    throws ELException

  Logs a warning

  Throws:
    `ELException`

### logWarning

    public void logWarning(String pTemplate,
                           Throwable pRootCause,
                           Object pArg0,
                           Object pArg1,
                           Object pArg2)
                    throws ELException

  Logs a warning

  Throws:
    `ELException`

### logWarning

    public void logWarning(String pTemplate,
                           Object pArg0,
                           Object pArg1,
                           Object pArg2,
                           Object pArg3)
                    throws ELException

  Logs a warning

  Throws:
    `ELException`

### logWarning

    public void logWarning(String pTemplate,
                           Throwable pRootCause,
                           Object pArg0,
                           Object pArg1,
                           Object pArg2,
                           Object pArg3)
                    throws ELException

  Logs a warning

  Throws:
    `ELException`

### logWarning

    public void logWarning(String pTemplate,
                           Object pArg0,
                           Object pArg1,
                           Object pArg2,
                           Object pArg3,
                           Object pArg4)
                    throws ELException

  Logs a warning

  Throws:
    `ELException`

### logWarning

    public void logWarning(String pTemplate,
                           Throwable pRootCause,
                           Object pArg0,
                           Object pArg1,
                           Object pArg2,
                           Object pArg3,
                           Object pArg4)
                    throws ELException

  Logs a warning

  Throws:
    `ELException`

### logWarning

    public void logWarning(String pTemplate,
                           Object pArg0,
                           Object pArg1,
                           Object pArg2,
                           Object pArg3,
                           Object pArg4,
                           Object pArg5)
                    throws ELException

  Logs a warning

  Throws:
    `ELException`

### logWarning

    public void logWarning(String pTemplate,
                           Throwable pRootCause,
                           Object pArg0,
                           Object pArg1,
                           Object pArg2,
                           Object pArg3,
                           Object pArg4,
                           Object pArg5)
                    throws ELException

  Logs a warning

  Throws:
    `ELException`

### isLoggingError

    public boolean isLoggingError()

  Returns true if the application should even bother to try logging an error.

### logError

    public void logError(String pMessage,
                         Throwable pRootCause)
                  throws ELException

  Logs an error

  Throws:
    `ELException`

### logError

    public void logError(String pTemplate)
                  throws ELException

  Logs an error

  Throws:
    `ELException`

### logError

    public void logError(Throwable pRootCause)
                  throws ELException

  Logs an error

  Throws:
    `ELException`

### logError

    public void logError(String pTemplate,
                         Object pArg0)
                  throws ELException

  Logs an error

  Throws:
    `ELException`

### logError

    public void logError(String pTemplate,
                         Throwable pRootCause,
                         Object pArg0)
                  throws ELException

  Logs an error

  Throws:
    `ELException`

### logError

    public void logError(String pTemplate,
                         Object pArg0,
                         Object pArg1)
                  throws ELException

  Logs an error

  Throws:
    `ELException`

### logError

    public void logError(String pTemplate,
                         Throwable pRootCause,
                         Object pArg0,
                         Object pArg1)
                  throws ELException

  Logs an error

  Throws:
    `ELException`

### logError

    public void logError(String pTemplate,
                         Object pArg0,
                         Object pArg1,
                         Object pArg2)
                  throws ELException

  Logs an error

  Throws:
    `ELException`

### logError

    public void logError(String pTemplate,
                         Throwable pRootCause,
                         Object pArg0,
                         Object pArg1,
                         Object pArg2)
                  throws ELException

  Logs an error

  Throws:
    `ELException`

### logError

    public void logError(String pTemplate,
                         Object pArg0,
                         Object pArg1,
                         Object pArg2,
                         Object pArg3)
                  throws ELException

  Logs an error

  Throws:
    `ELException`

### logError

    public void logError(String pTemplate,
                         Throwable pRootCause,
                         Object pArg0,
                         Object pArg1,
                         Object pArg2,
                         Object pArg3)
                  throws ELException

  Logs an error

  Throws:
    `ELException`

### logError

    public void logError(String pTemplate,
                         Object pArg0,
                         Object pArg1,
                         Object pArg2,
                         Object pArg3,
                         Object pArg4)
                  throws ELException

  Logs an error

  Throws:
    `ELException`

### logError

    public void logError(String pTemplate,
                         Throwable pRootCause,
                         Object pArg0,
                         Object pArg1,
                         Object pArg2,
                         Object pArg3,
                         Object pArg4)
                  throws ELException

  Logs an error

  Throws:
    `ELException`

### logError

    public void logError(String pTemplate,
                         Object pArg0,
                         Object pArg1,
                         Object pArg2,
                         Object pArg3,
                         Object pArg4,
                         Object pArg5)
                  throws ELException

  Logs an error

  Throws:
    `ELException`

### logError

    public void logError(String pTemplate,
                         Throwable pRootCause,
                         Object pArg0,
                         Object pArg1,
                         Object pArg2,
                         Object pArg3,
                         Object pArg4,
                         Object pArg5)
                  throws ELException

  Logs an error

  Throws:
    `ELException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.